Unverified Commit 6f61ed2a authored by Steve Plimpton's avatar Steve Plimpton Committed by GitHub
Browse files

Merge pull request #938 from akohlmey/collected-bugfixes

Collected bugfixes and updates
parents 16cc6139 3411b0e5
Loading
Loading
Loading
Loading
+11 −0
Original line number Diff line number Diff line
@@ -43,3 +43,14 @@ src/USER-MISC/*_grem.* @dstelter92

# tools
tools/msi2lmp/*       @akohlmey

# cmake
cmake/*               @junghans @rbberger

# python
python/*              @rbberger

# docs
doc/utils/*/*         @rbberger
doc/Makefile          @rbberger
doc/README            @rbberger
+8 −1
Original line number Diff line number Diff line
@@ -9,6 +9,7 @@ TXT2RST = $(VENV)/bin/txt2rst
ANCHORCHECK   = $(VENV)/bin/doc_anchor_check

PYTHON        = $(shell which python3)
VIRTUALENV     = virtualenv
HAS_PYTHON3    = NO
HAS_VIRTUALENV = NO

@@ -16,7 +17,13 @@ ifeq ($(shell which python3 >/dev/null 2>&1; echo $$?), 0)
HAS_PYTHON3 = YES
endif

ifeq ($(shell which virtualenv-3 >/dev/null 2>&1; echo $$?), 0)
VIRTUALENV     = virtualenv-3
HAS_VIRTUALENV = YES
endif

ifeq ($(shell which virtualenv >/dev/null 2>&1; echo $$?), 0)
VIRTUALENV     = virtualenv
HAS_VIRTUALENV = YES
endif

@@ -158,7 +165,7 @@ $(VENV):
	@if [ "$(HAS_PYTHON3)" == "NO" ] ; then echo "Python3 was not found! Please check README.md for further instructions" 1>&2; exit 1; fi
	@if [ "$(HAS_VIRTUALENV)" == "NO" ] ; then echo "virtualenv was not found! Please check README.md for further instructions" 1>&2; exit 1; fi
	@( \
		virtualenv -p $(PYTHON) $(VENV); \
		$(VIRTUALENV) -p $(PYTHON) $(VENV); \
		. $(VENV)/bin/activate; \
		pip install Sphinx; \
		pip install sphinxcontrib-images; \
+7 −0
Original line number Diff line number Diff line
@@ -803,6 +803,13 @@ lo value must be less than the hi value for all 3 dimensions. :dd
The box command cannot be used after a read_data, read_restart, or
create_box command. :dd

{BUG: restartinfo=1 but no restart support in pair style} :dt

The pair style has a bug, where it does not support reading
and writing information to a restart file, but does not set
the member variable restartinfo to 0 as required in that case. :dd


{CPU neighbor lists must be used for ellipsoid/sphere mix.} :dt

When using Gay-Berne or RE-squared pair styles with both ellipsoidal and
+2 −2
Original line number Diff line number Diff line
@@ -37,8 +37,8 @@ keyword = {special} :l

create_bonds many all all 1 1.0 1.2
create_bonds many surf solvent 3 2.0 2.4
create_bond single/bond 1 1 2
create_bond single/angle 5 52 98 107 special no :pre
create_bonds single/bond 1 1 2
create_bonds single/angle 5 52 98 107 special no :pre

[Description:]

+8 −0
Original line number Diff line number Diff line
@@ -205,6 +205,14 @@ a bond coefficient over time, very similar to how the {pair} keyword
operates. The only difference is that now a bond coefficient for a
given bond type is adapted.

A wild-card asterisk can be used in place of or in conjunction with
the bond type argument to set the coefficients for multiple bond types.
This takes the form "*" or "*n" or "n*" or "m*n".  If N = the number of
atom types, then an asterisk with no numeric values means all types
from 1 to N.  A leading asterisk means all types from 1 to n (inclusive).
A trailing asterisk means all types from n to N (inclusive).  A middle
asterisk means all types from m to n (inclusive).

Currently {bond} does not support bond_style hybrid nor bond_style
hybrid/overlay as bond styles. The only bonds that currently are
working with fix_adapt are
Loading